org.apache.uima.analysis_engine.asb.impl

## Class FlowContainer

- java.lang.Object
- - org.apache.uima.analysis_engine.asb.impl.FlowContainer

-     public class FlowContainer
      extends Object

  Container for Flow objects, to handle CAS conversions and performance timing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowContainer(Flow aFlow, FlowControllerContainer aFlowControllerContainer, CAS aCAS)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aborted()`
    `boolean` | `continueOnFailure(String failedAeKey, Exception failure)`
    `AnalysisEngineManagementImpl` | `getMBean()` Gets the MBean to use to report performance statistics.
    `FlowContainer` | `newCasProduced(CAS newCAS, String producedBy)`
    `Step` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowContainer

          public FlowContainer(Flow aFlow,
                               FlowControllerContainer aFlowControllerContainer,
                               CAS aCAS)

  - ### Method Detail

    - #### newCasProduced

          public FlowContainer newCasProduced(CAS newCAS,
                                              String producedBy)
                                       throws AnalysisEngineProcessException

      Throws:
        `AnalysisEngineProcessException`

    - #### next

          public Step next()
                    throws AnalysisEngineProcessException

      Throws:
        `AnalysisEngineProcessException`

    - #### aborted

          public void aborted()

    - #### continueOnFailure

          public boolean continueOnFailure(String failedAeKey,
                                           Exception failure)

    - #### getMBean

          public AnalysisEngineManagementImpl getMBean()

      Gets the MBean to use to report performance statistics.
      Returns:
        the MBean to use to report performance statistics

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.